%global pkg identica-mode
%global pkgname Emacs-identica-mode

Name:		emacs-%{pkg}
Version:	1.2.1
Release:	3%{?dist}
Summary:	Identica mode for Emacs


Group:		Applications/Editors
License:	GPLv2+ and GFDL
URL:		https://savannah.nongnu.org/projects/identica-mode/
Source0:	http://git.savannah.gnu.org/cgit/%{pkg}.git/snapshot/%{pkg}-%{version}.tar.gz
Source1:	%{pkg}-init.el

BuildArch:	noarch
BuildRequires:	emacs
BuildRequires:	emacs-el
BuildRequires:	emacs-bbdb 
BuildRequires:	texinfo
Requires:	emacs(bin) >= %{_emacs_version}
Requires(post):	info
Requires(preun):info

		
%description
This package provides identica mode for Emacs.
Identica is a free software micro-blogging service, 
similar to Twitter.


%package el
Summary:	Source files for %{pkgname} under GNU Emacs
Group:		Applications/Editors
Requires:	%{name} = %{version}-%{release}


%description el
This package contains the elisp source files for 
use with %{pkgname}.


%prep
%setup -q -n %{pkg}-%{version}
%{__chmod} 644 COPYING

%build
%{_emacs_bytecompile} *.el
makeinfo doc/fdl.texi -o doc/COPYING.FDL

%install
%{__install} -pm 755 -d %{buildroot}%{_emacs_sitelispdir}/%{pkg}/
%{__install} -pm 755 -d %{buildroot}%{_emacs_sitestartdir}	
%{__install} -pm 644 %{pkg}.* %{buildroot}%{_emacs_sitelispdir}/%{pkg}
%{__install} -pm 644 %{SOURCE1} %{buildroot}%{_emacs_sitestartdir}
%{__install} -pm 755 -d %{buildroot}%{_infodir}/
%{__install} -pm 644 doc/%{pkg}.texi %{buildroot}%{_infodir}/

%clean

%post
/sbin/install-info --entry=%{pkg} %{_infodir}/%{pkg}.texi.gz %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info  --delete %{_infodir}/%{pkg}.texi.gz %{_infodir}/dir || :
fi

%files
%doc COPYING doc/COPYING.FDL
%{_emacs_sitelispdir}/%{pkg}/*.elc
%{_emacs_sitestartdir}/%{pkg}-init.el
%{_infodir}/%{pkg}.texi.gz
%dir %{_emacs_sitelispdir}/%{pkg}



%files el
%{_emacs_sitelispdir}/%{pkg}/*.el


%changelog
* Mon Sep 03 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 1.2.1-3
- Removed defattr
- Removed rm buildroot in clean and install section

* Sun Jun 12 2011 Arun SAG <sagarun [AT] gmail dot com> - 1.1-1
- Updated to version 1.1

* Wed Nov 17 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.0-1
- Updated to the latest version

* Sat Dec 14 2009 Arun SAG <sagarun [AT] gmail dot com> - 0.8-2
- Fixed spec file for clarity

* Sun Nov 01 2009 Arun SAG <sagarun [AT] gmail dot com> - 0.8-1
- Initial release 0.8-1
